close all       %closes all open charts

%set up values of parameters
g = 9.81;       %gravitational acceleration (m/sec^2)
m = 1.125;      %mass (kg)
r = 0.022;      %pulley radius (m)
k = 0.032;      %motor constant (Nm/A)
Ra = 20.5;      %armature resistance (ohm)
La = 1.68e-4;   %armature inductance (H)
G = 49;         %gear ratio (unitless)

P = 0.5;        %proportional gain
I = 7.0;        %integral gain
D = 0;          %derivative gain

%run a simulation
sim('lifting_model.slx');   %run simulation of the file in quotes

%create a plot
figure          %creates a new figure for a plot
plot(t,theta)   %create a plot of variable theta vs. time (t)
xlim([0 5])     %set up the x-axis upper and lower limits on the plot
ylim([0 270]) %set up the y-axis upper and lower limits on the plot
xlabel('Time (sec)') %label the x-axis
ylabel('Response (deg)') %label the y-axis
title('Response vs. Time') %title the chart
grid on         %add grid lines to the chart

